import * as react_jsx_runtime from 'react/jsx-runtime';
import React, { SVGProps, ReactNode, CSSProperties, FC } from 'react';

interface SVGPropsWithChildren extends SVGProps<SVGSVGElement> {
    children: ReactNode;
    size?: number;
    style?: CSSProperties;
}
declare const icons: {
    IconSend: ({ style, size, }: {
        style?: React.CSSProperties;
        size?: number;
    }) => react_jsx_runtime.JSX.Element;
    IconPlus: ({ style, size, }: {
        style?: React.CSSProperties;
        size?: number;
    }) => react_jsx_runtime.JSX.Element;
    IconMic: ({ style, size, }: {
        style?: React.CSSProperties;
        size?: number;
    }) => react_jsx_runtime.JSX.Element;
    IconMenu: ({ style, size, }: {
        style?: React.CSSProperties;
        size?: number;
    }) => react_jsx_runtime.JSX.Element;
    IconEmoji: ({ style, size, }: {
        style?: React.CSSProperties;
        size?: number;
    }) => react_jsx_runtime.JSX.Element;
};
declare const SVG: FC<SVGPropsWithChildren>;

export { type SVGPropsWithChildren, SVG as default, icons };
